<?php

if (!defined('FORUM')) die();

if ($section == 'external_links_settings')
{
	if (file_exists($ext_info['path'].'/lang/'.$forum_user['language'].'.php') )
		include $ext_info['path'].'/lang/'.$forum_user['language'].'.php';
	else
		include $ext_info['path'].'/lang/English.php';
	
	$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;

	// Setup breadcrumbs
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
		array($lang_admin_common['Management'], forum_link($forum_url['admin_reports'])),
		$lang_advanced_external_links['managing_links']
	);

	define('FORUM_PAGE_SECTION', 'management');
	define('FORUM_PAGE', 'admin-advanced-external-links');
	require FORUM_ROOT.'header.php';

	// START SUBST - <!-- forum_main -->
	ob_start();
?>
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_advanced_external_links['links_head'] ?></span></h2>
	</div>
	
	<div class="main-content main-frm">
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['advanced_external_links_settings']) ?>">
			
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['advanced_external_links_settings'])) ?>" />
				<input type="hidden" name="form_sent" value="1" />
			</div>
			
			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
				<legend class="group-legend"><strong><?php echo $lang_advanced_external_links['links_head'] ?></strong></legend>

				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="sf-box checkbox">
						<input type="hidden" name="form[advanced_external_links_int_in_new_window]" value="0" />
						<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="form[advanced_external_links_int_in_new_window]" value="1"<?php if ($forum_config['o_advanced_external_links_int_in_new_window'] == '1') echo ' checked="checked"' ?> /></span>
						<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_advanced_external_links['internal_links_in new_window'] ?></span><?php echo $lang_advanced_external_links['internal_links_in new_window_desc'] ?></label>
					</div>
				</div>
				
				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="sf-box checkbox">
						<input type="hidden" name="form[advanced_external_links_ext_in_new_window]" value="0" />
						<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="form[advanced_external_links_ext_in_new_window]" value="1"<?php if ($forum_config['o_advanced_external_links_ext_in_new_window'] == '1') echo ' checked="checked"' ?> /></span>
						<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_advanced_external_links['external_links_in new_window'] ?></span><?php echo $lang_advanced_external_links['external_links_in new_window_desc'] ?></label>
					</div>
				</div>
				
				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="sf-box checkbox">
						<input type="hidden" name="form[advanced_external_links_hide_from_guest]" value="0" />
						<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="form[advanced_external_links_hide_from_guest]" value="1"<?php if ($forum_config['o_advanced_external_links_hide_from_guest'] == '1') echo ' checked="checked"' ?> /></span>
						<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_advanced_external_links['hidden_links'] ?></span><?php echo $lang_advanced_external_links['hidden_links_desc'] ?></label>
					</div>
				</div>

				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="sf-box checkbox">
						<input type="hidden" name="form[advanced_external_links_use_js]" value="0" />
						<span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="form[advanced_external_links_use_js]" value="1"<?php if ($forum_config['o_advanced_external_links_use_js'] == '1') echo ' checked="checked"' ?> /></span>
						<label for="fld<?php echo $forum_page['fld_count'] ?>"><span><?php echo $lang_advanced_external_links['use_js'] ?></span><?php echo $lang_advanced_external_links['use_js_desc'] ?></label>
					</div>
				</div>
				
				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
		            <div class="sf-box select">
			            <label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><strong><?php echo $lang_advanced_external_links['confirm_redirect'] ?></strong></span><small><?php echo $lang_advanced_external_links['confirm_redirect_desc'] ?></small></label><br />
			            <input type="hidden" name="form[advanced_external_links_confirm_redirect]" value="0" />
						<span class="fld-input"><select id="fld<?php echo $forum_page['fld_count'] ?>" name="form[advanced_external_links_confirm_redirect]">
				            <option value="0"<?php if ($forum_config['o_advanced_external_links_confirm_redirect'] == '0') echo ' selected="selected"' ?>><?php echo $lang_advanced_external_links['for_nobody'] ?></option>
				            <option value="1"<?php if ($forum_config['o_advanced_external_links_confirm_redirect'] == '1') echo ' selected="selected"' ?>><?php echo $lang_advanced_external_links['to_guests'] ?></option>
				            <option value="2"<?php if ($forum_config['o_advanced_external_links_confirm_redirect'] == '2') echo ' selected="selected"' ?>><?php echo $lang_advanced_external_links['to_all'] ?></option>
			            </select></span>
		            </div>
	            </div>
				
				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
		            <div class="sf-box text">
			            <label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><strong><?php echo $lang_advanced_external_links['redirect_delay'] ?></strong></span><small><?php echo $lang_advanced_external_links['redirect_delay_desc'] ?></small></label><br />
			            <input type="hidden" name="form[advanced_external_links_redirect_delay]" value="0" />
						<span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[advanced_external_links_redirect_delay]" size="3" maxlength="3" value="<?php echo $forum_config['o_advanced_external_links_redirect_delay'] ?>" /></span>
		            </div>
	            </div>
				
				<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
		            <div class="sf-box text">
			            <label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><strong><?php echo $lang_advanced_external_links['links_attributes'] ?></strong></span><small><?php echo $lang_advanced_external_links['links_attributes_desc'] ?></small></label><br />
			            <span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="form[advanced_external_links_attributes]" size="50" maxlength="" value="<?php echo $forum_config['o_advanced_external_links_attributes'] ?>" /></span>
		            </div>
	            </div>

				<div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="txt-box textarea">
						<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><strong><?php echo $lang_advanced_external_links['exception_links'] ?></strong></span><small><?php echo $lang_advanced_external_links['exception_links_desc'] ?></small></label>
						<div class="txt-input"><span class="fld-input"><textarea id="fld<?php echo $forum_page['fld_count'] ?>" name="form[advanced_external_links_exceptions_urls]" rows="15" cols="55"><?php echo forum_htmlencode($forum_config['o_advanced_external_links_exceptions_urls']) ?></textarea></span></div>
					</div>
				</div>
				
				<div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="txt-box textarea">
						<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><strong><?php echo $lang_advanced_external_links['disallowed_links'] ?></strong></span><small><?php echo $lang_advanced_external_links['disallowed_links_desc'] ?></small></label>
						<div class="txt-input"><span class="fld-input"><textarea id="fld<?php echo $forum_page['fld_count'] ?>" name="form[advanced_external_links_disallowed_urls]" rows="5" cols="55"><?php echo forum_htmlencode($forum_config['o_advanced_external_links_disallowed_urls']) ?></textarea></span></div>
					</div>
				</div>
				<?php ($hook = get_hook('advanced_external_links_settings_fieldset_end')) ? eval($hook) : null; ?>
			</fieldset>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save" value="<?php echo $lang_advanced_external_links['save_form'] ?>" /></span>
			</div>
		</form>
		
	</div>
<?php
}
